# Enum Class VideoMaterial.VideoType

java.lang.Object
java.lang.Enum<VideoMaterial.VideoType>
com.university.bookstore.model.VideoMaterial.VideoType

All Implemented Interfaces:
  `Serializable`, `Comparable<VideoMaterial.VideoType>`, `Constable`

Enclosing class:
  `VideoMaterial`

public static enum VideoMaterial.VideoType extends Enum<VideoMaterial.VideoType>
Types of video content.

Since:
  2024-09-15
Version:
  2.0
Author:
  Navid Mohaghegh

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOCUMENTARY`
  `EDUCATIONAL`
  `MOVIE`
  `SHORT_FILM`
  `TUTORIAL`
  `TV_SERIES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static VideoMaterial.VideoType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VideoMaterial.VideoType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MOVIE

    public static final VideoMaterial.VideoType MOVIE

  - ### DOCUMENTARY

    public static final VideoMaterial.VideoType DOCUMENTARY

  - ### EDUCATIONAL

    public static final VideoMaterial.VideoType EDUCATIONAL

  - ### TV_SERIES

    public static final VideoMaterial.VideoType TV_SERIES

  - ### SHORT_FILM

    public static final VideoMaterial.VideoType SHORT_FILM

  - ### TUTORIAL

    public static final VideoMaterial.VideoType TUTORIAL

- ## Method Details

  - ### values

    public static VideoMaterial.VideoType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VideoMaterial.VideoType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<VideoMaterial.VideoType>`